Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040607
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-04-12 09:352019-05-07 17:14
ReportermalsasuaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionf66284f14088
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/897b4cfc2dd6#l55.7 [^]
Triggers an Emergency PackNo
Summary

0040607: Login can not be completed with user without access to Cashup

Descriptiondoing login with one user that he has not got access to CashUp process, and clean cache has been done, login is not completed, with this error:

The Master Data loading process has encountered an error. The following model(s) could not be loaded: DataCloseCashPaymentMethod. Please check you internet connection and click reload to refresh the page. If the problem persists please contact your System Administrator.
Steps To Reproducein live - modules:
[BO]
- change demouser role to Cashier Vallblanca
- in preferences, remove permissions to Web POS window Cash Up

[POS]
- clean cache
- do login with user vallblanca
- complete a cashup -> logout is done
- do login with user demouser
Error is returned
TagsNo tags attached.
Attached Filespng file icon error.png [^] (132,433 bytes) 2019-04-12 09:35

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040803RR19Q2 closedrqueralta Login can not be completed with user without access to Cashup 
depends on backport 0040804RR19Q1.2 closedrqueralta Login can not be completed with user without access to Cashup 

-  Notes
(0111486)
hgbot (developer)
2019-05-06 03:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f66284f140889dc67d4f9d9d80644cec19c2807c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri May 03 14:02:01 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f66284f140889dc67d4f9d9d80644cec19c2807c [^]

Fixed issue 40607: Login can not be completed with user without access to Cashup

- Removed "OBPOS_retail.cashup" preference for this model and seted
bypassPreferenceCheck in true to no check any preference value

---
M src/org/openbravo/retail/posterminal/term/CloseCashPayments.java
---

- Issue History
Date Modified Username Field Change
2019-04-12 09:35 malsasua New Issue
2019-04-12 09:35 malsasua Assigned To => Retail
2019-04-12 09:35 malsasua File Added: error.png
2019-04-12 09:35 malsasua Triggers an Emergency Pack => No
2019-04-22 21:44 rqueralta Assigned To Retail => rqueralta
2019-04-22 21:45 rqueralta Status new => scheduled
2019-04-29 14:23 malsasua Regression level => Production - Confirmed Stable
2019-05-02 17:10 malsasua Steps to Reproduce Updated View Revisions
2019-05-03 20:34 rqueralta Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/897b4cfc2dd6#l55.7 [^]
2019-05-06 03:50 hgbot Checkin
2019-05-06 03:50 hgbot Note Added: 0111486
2019-05-06 03:50 hgbot Status scheduled => resolved
2019-05-06 03:50 hgbot Resolution open => fixed
2019-05-06 03:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f66284f140889dc67d4f9d9d80644cec19c2807c [^]
2019-05-06 10:06 guilleaer Review Assigned To => guilleaer
2019-05-06 10:06 guilleaer Status resolved => closed
2019-05-06 10:06 guilleaer Fixed in Version => RR19Q3
2019-05-07 15:54 rqueralta Status closed => new
2019-05-07 15:54 rqueralta Resolution fixed => open
2019-05-07 15:54 rqueralta Fixed in Version RR19Q3 =>
2019-05-07 15:55 rqueralta Status new => scheduled
2019-05-07 15:55 rqueralta Status scheduled => resolved
2019-05-07 15:55 rqueralta Resolution open => fixed
2019-05-07 15:55 rqueralta Fixed in Version => RR19Q3
2019-05-07 17:14 marvintm Review Assigned To guilleaer => marvintm
2019-05-07 17:14 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker